Skip to main content
GET
/
domains
/
{domain_id}
C#
using Auth0Auth0;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new Auth0Auth0Client(
            token: "<token>"
        );

        await client.Organization.Domains.GetAsync(
            "domain_id"
        );
    }

}
{
  "id": "ord_aW1UHetvkBWSWdCCe8DWq7",
  "org_id": "org_zW1UHutvkVWSWdCC",
  "domain": "acme.com",
  "status": "pending",
  "verification_txt": "dove_text=asdfpiujnlewp-23849jdkfjzxcfpiawer",
  "verification_host": "_ss-verification.org_zW1UHutvkVWSWdCC.acme.com"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

domain_id
string
required

Organization domain identifier.

Pattern: ^ord_[A-Za-z0-9]{22}$

Response

Organization domain successfully retrieved.

id
string
required

Organization domain identifier.

Pattern: ^ord_[A-Za-z0-9]{22}$
org_id
string
required

Organization identifier.

Pattern: ^org_[A-Za-z0-9]{16}$
domain
string
required

Domain name.

Pattern: ^(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9-]*[A-Za-z0-9])$
status
enum<string>
required

Organization domain status.

Available options:
failed,
pending,
verified
verification_txt
string
required

Value used to verify the domain.

verification_host
string
required

Stores the full domain where the TXT record should be added.